let e = null, n = null;
async function t() {
  return e || n || (n = (async () => {
    try {
      const r = await import("dom-to-image");
      return e = r.default || r, e;
    } catch (r) {
      throw n = null, r;
    }
  })(), n);
}
function o() {
  return e !== null;
}
function u() {
  return e;
}
export {
  u as getSvgToImageLib,
  o as isSvgToImageLibLoaded,
  t as loadSvgToImageLib
};
